package com.gtiit.shr.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
import java.util.Date;


/**
 * 异常信息表
 */
@TableName("T_GTIIT_EXCEPTION")
public class ExceptionRequestVo implements Serializable {
    @TableId(
            type = IdType.ASSIGN_ID
    )
    private Long id;
    @TableField("FTASKTYPE")
    private String taskType;
    @TableField("FTASKNAME")
    private String taskName;
    @TableField("FTYPE")
    private String type;
    @TableField("FEXCUTEDATE")
    @JsonFormat(
            locale = "zh",
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date excuteDate;
    @TableField("FERRORREASON")
    private String errorReason;
    @TableField("FISSUCESS")
    private String isSucess;
    @TableField("FREQUESTPARAM")
    private String requestParam;
    @TableField("FRESPONEPARAM")
    private String responeParam;



    public Long getId() {
        return this.id;
    }

    public String getTaskType() {
        return this.taskType;
    }

    public String getTaskName() {
        return this.taskName;
    }

    public String getType() {
        return this.type;
    }

    public Date getExcuteDate() {
        return this.excuteDate;
    }

    public String getErrorReason() {
        return this.errorReason;
    }

    public String getIsSucess() {
        return this.isSucess;
    }

    public String getRequestParam() {
        return this.requestParam;
    }

    public String getResponeParam() {
        return this.responeParam;
    }

    public void setId(final Long id) {
        this.id = id;
    }

    public void setTaskType(final String taskType) {
        this.taskType = taskType;
    }

    public void setTaskName(final String taskName) {
        this.taskName = taskName;
    }

    public void setType(final String type) {
        this.type = type;
    }

    @JsonFormat(
            locale = "zh",
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    public void setExcuteDate(final Date excuteDate) {
        this.excuteDate = excuteDate;
    }

    public void setErrorReason(final String errorReason) {
        this.errorReason = errorReason;
    }

    public void setIsSucess(final String isSucess) {
        this.isSucess = isSucess;
    }

    public void setRequestParam(final String requestParam) {
        this.requestParam = requestParam;
    }

    public void setResponeParam(final String responeParam) {
        this.responeParam = responeParam;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof ExceptionRequestVo)) {
            return false;
        } else {
            ExceptionRequestVo other = (ExceptionRequestVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label119: {
                    Object this$id = this.getId();
                    Object other$id = other.getId();
                    if (this$id == null) {
                        if (other$id == null) {
                            break label119;
                        }
                    } else if (this$id.equals(other$id)) {
                        break label119;
                    }

                    return false;
                }

                Object this$taskType = this.getTaskType();
                Object other$taskType = other.getTaskType();
                if (this$taskType == null) {
                    if (other$taskType != null) {
                        return false;
                    }
                } else if (!this$taskType.equals(other$taskType)) {
                    return false;
                }

                label105: {
                    Object this$taskName = this.getTaskName();
                    Object other$taskName = other.getTaskName();
                    if (this$taskName == null) {
                        if (other$taskName == null) {
                            break label105;
                        }
                    } else if (this$taskName.equals(other$taskName)) {
                        break label105;
                    }

                    return false;
                }

                Object this$type = this.getType();
                Object other$type = other.getType();
                if (this$type == null) {
                    if (other$type != null) {
                        return false;
                    }
                } else if (!this$type.equals(other$type)) {
                    return false;
                }

                label91: {
                    Object this$excuteDate = this.getExcuteDate();
                    Object other$excuteDate = other.getExcuteDate();
                    if (this$excuteDate == null) {
                        if (other$excuteDate == null) {
                            break label91;
                        }
                    } else if (this$excuteDate.equals(other$excuteDate)) {
                        break label91;
                    }

                    return false;
                }

                Object this$errorReason = this.getErrorReason();
                Object other$errorReason = other.getErrorReason();
                if (this$errorReason == null) {
                    if (other$errorReason != null) {
                        return false;
                    }
                } else if (!this$errorReason.equals(other$errorReason)) {
                    return false;
                }

                label77: {
                    Object this$isSucess = this.getIsSucess();
                    Object other$isSucess = other.getIsSucess();
                    if (this$isSucess == null) {
                        if (other$isSucess == null) {
                            break label77;
                        }
                    } else if (this$isSucess.equals(other$isSucess)) {
                        break label77;
                    }

                    return false;
                }

                label70: {
                    Object this$requestParam = this.getRequestParam();
                    Object other$requestParam = other.getRequestParam();
                    if (this$requestParam == null) {
                        if (other$requestParam == null) {
                            break label70;
                        }
                    } else if (this$requestParam.equals(other$requestParam)) {
                        break label70;
                    }

                    return false;
                }

                Object this$responeParam = this.getResponeParam();
                Object other$responeParam = other.getResponeParam();
                if (this$responeParam == null) {
                    if (other$responeParam != null) {
                        return false;
                    }
                } else if (!this$responeParam.equals(other$responeParam)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof ExceptionRequestVo;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $taskType = this.getTaskType();
        result = result * 59 + ($taskType == null ? 43 : $taskType.hashCode());
        Object $taskName = this.getTaskName();
        result = result * 59 + ($taskName == null ? 43 : $taskName.hashCode());
        Object $type = this.getType();
        result = result * 59 + ($type == null ? 43 : $type.hashCode());
        Object $excuteDate = this.getExcuteDate();
        result = result * 59 + ($excuteDate == null ? 43 : $excuteDate.hashCode());
        Object $errorReason = this.getErrorReason();
        result = result * 59 + ($errorReason == null ? 43 : $errorReason.hashCode());
        Object $isSucess = this.getIsSucess();
        result = result * 59 + ($isSucess == null ? 43 : $isSucess.hashCode());
        Object $requestParam = this.getRequestParam();
        result = result * 59 + ($requestParam == null ? 43 : $requestParam.hashCode());
        Object $responeParam = this.getResponeParam();
        result = result * 59 + ($responeParam == null ? 43 : $responeParam.hashCode());
        return result;
    }

    public String toString() {
        return "ExceptionRequestVo(id=" + this.getId() + ", taskType=" + this.getTaskType() + ", taskName=" + this.getTaskName() + ", type=" + this.getType() + ", excuteDate=" + this.getExcuteDate() + ", errorReason=" + this.getErrorReason() + ", isSucess=" + this.getIsSucess() + ", requestParam=" + this.getRequestParam() + ", responeParam=" + this.getResponeParam() + ")";
    }
}
